package com.bipt.intelligentapplicationorchestrationservice.gpu.mapper;

import ch.qos.logback.core.model.ComponentModel;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.dto.GpuCreateDTO;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.dto.GpuResponseDTO;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.dto.GpuUpdateDTO;
import com.bipt.intelligentapplicationorchestrationservice.gpu.model.entity.GpuResource;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface GpuMapper {
    GpuResource toEntity(GpuCreateDTO dto);
    GpuResource toEntity(GpuUpdateDTO dto);
    GpuResource toEntity(GpuResponseDTO dto);
    GpuResponseDTO toDTO(GpuResource entity);
}
